// timerpodule.cpp : Defines the entry point for the DLL application.
//

#include "stdafx.h"


#include "afxdllx.h"    // standard MFC Extension DLL routines

// Standard windoisms, only needed if mfc is used (e.g. property panels)

static AFX_EXTENSION_MODULE NEAR extensionDLL = { NULL, NULL };

BOOL APIENTRY DllMain( HINSTANCE hModule, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 )
{
	if (ul_reason_for_call == DLL_PROCESS_ATTACH)
	{
		// Extension DLL one-time initialization - do not allocate memory here,
		//   use the TRACE or ASSERT macros or call MessageBox
		if (!AfxInitExtensionModule(extensionDLL, hModule))
			return 0;

		// Other initialization could be done here, as long as
		// it doesn't result in direct or indirect calls to AfxGetApp.
		// This extension DLL doesn't need to access the app object
		// but to be consistent with testdll1.dll, this DLL requires
		// explicit initialization as well (see below).

		// This allows for greater flexibility later in development.
	}
    return TRUE;
}


// Exported DLL initialization is run in context of running application
extern "C" void __declspec(dllexport) __cdecl InitMFCDll()
{
	// create a new CDynLinkLibrary for this app
	new CDynLinkLibrary(extensionDLL);
	// nothing more to do
}
